#ifndef _MLIBPNG_H
#define _MLIBPNG_H

#ifdef MLIBPNG_EXPORTS
#define MLIBPNG_API __declspec(dllexport)
#else
#define MLIBPNG_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

MLIBPNG_API BOOL LoadPNG(
		LPCSTR FileName,
		void **lpHeader, // pointer to header (out)
		void **lpBuffer, // pointer to buffer (out)
		BOOL callback(float,void*), // callback
		void *data); // data for callback

MLIBPNG_API BOOL SavePNG(
		LPCSTR FileName, 
		void *Header, 
		void *Buffer, 
		BOOL callback(float,void*), void *data);

// for GetProcAddress()
typedef MLIBPNG_API BOOL lpLoadPNG(
		LPCSTR FileName,
		void **lpHeader, // pointer to header (out)
		void **lpBuffer, // pointer to buffer (out)
		BOOL callback(float,void*), // callback
		void *data); // data for callback

typedef MLIBPNG_API BOOL lpSavePNG(
		LPCSTR FileName, 
		void *Header, 
		void *Buffer, 
		BOOL callback(float,void*), void *data);

#ifdef __cplusplus
};
#endif

#endif //_MLIBPNG_H
